package cn.reghao.tnb.content.app.vod.model.query;

import lombok.Getter;

/**
 * @author reghao
 * @date 2023-09-18 14:04:51
 */
@Getter
public class CategoryQuery {
    private Integer categoryPid;
    private Integer categoryId;
    private Integer pid;

    public CategoryQuery(Builder builder) {
        this.categoryPid = builder.categoryPid;
        this.categoryId = builder.categoryId;
        this.pid = builder.pid;
    }

    public static final class Builder {
        private Integer categoryPid;
        private Integer categoryId;
        private Integer pid;

        public Builder categoryPid(int categoryPid) {
            this.categoryPid = categoryPid;
            return this;
        }

        public Builder categoryId(int categoryId) {
            this.categoryId = categoryId;
            return this;
        }

        public Builder pid(int pid) {
            this.pid = pid;
            return this;
        }

        public CategoryQuery build() {
            return new CategoryQuery(this);
        }
    }
}
